Skip to main content

Class: InventoryLocationsService

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/inventory-locations.ts:17

Extends​

  • BaseService

Constructors​

Constructor​

new InventoryLocationsService(client): InventoryLocationsService

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:12

Parameters​

client​

TanqoryClient

Returns​

InventoryLocationsService

Inherited from​

BaseService.constructor

Properties​

client​

protected client: TanqoryClient

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:10

Inherited from​

BaseService.client

Methods​

buildQuery()​

protected buildQuery(options?): Record<string, any>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:26

Build query parameters

Parameters​

options?​

ListOptions

Returns​

Record<string, any>

Inherited from​

BaseService.buildQuery


generateIdempotencyKey()​

protected generateIdempotencyKey(prefix): string

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:19

Generate idempotency key

Parameters​

prefix​

string

Returns​

string

Inherited from​

BaseService.generateIdempotencyKey


getExportMimeType()​

protected getExportMimeType(format): string

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:45

Get MIME type for export format

Parameters​

format​

string

Returns​

string

Inherited from​

BaseService.getExportMimeType


getLocation()​

getLocation(storeId, locationId): Promise<{ address: { address: string; apartment?: string; city: string; country: string; phone: string; phoneCountryCode: string; postalCode: string; province?: string; }; code?: string; createdAt: string; fulfillsOnlineOrders: boolean; id: string; isActive: boolean; isDefault: boolean; metafields?: object[]; name: string; shipsInventory: boolean; type: "STORE" | "WAREHOUSE" | "DROPSHIPPER"; updatedAt: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/inventory-locations.ts:45

Parameters​

storeId​

string

locationId​

string

Returns​

Promise<{ address: { address: string; apartment?: string; city: string; country: string; phone: string; phoneCountryCode: string; postalCode: string; province?: string; }; code?: string; createdAt: string; fulfillsOnlineOrders: boolean; id: string; isActive: boolean; isDefault: boolean; metafields?: object[]; name: string; shipsInventory: boolean; type: "STORE" | "WAREHOUSE" | "DROPSHIPPER"; updatedAt: string; }>

Deprecated​

Use retrieve() instead


getLocations()​

getLocations(storeId): Promise<object[]>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/inventory-locations.ts:40

Parameters​

storeId​

string

Returns​

Promise<object[]>

Deprecated​

Use list() instead


list()​

list(storeId): Promise<object[]>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/inventory-locations.ts:21

List all active locations for inventory purposes (read-only)

Parameters​

storeId​

string

Returns​

Promise<object[]>


retrieve()​

retrieve(storeId, locationId): Promise<{ address: { address: string; apartment?: string; city: string; country: string; phone: string; phoneCountryCode: string; postalCode: string; province?: string; }; code?: string; createdAt: string; fulfillsOnlineOrders: boolean; id: string; isActive: boolean; isDefault: boolean; metafields?: object[]; name: string; shipsInventory: boolean; type: "STORE" | "WAREHOUSE" | "DROPSHIPPER"; updatedAt: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/inventory-locations.ts:28

Get a single location by ID for inventory purposes (read-only)

Parameters​

storeId​

string

locationId​

string

Returns​

Promise<{ address: { address: string; apartment?: string; city: string; country: string; phone: string; phoneCountryCode: string; postalCode: string; province?: string; }; code?: string; createdAt: string; fulfillsOnlineOrders: boolean; id: string; isActive: boolean; isDefault: boolean; metafields?: object[]; name: string; shipsInventory: boolean; type: "STORE" | "WAREHOUSE" | "DROPSHIPPER"; updatedAt: string; }>